View Issue Details

IDProjectCategoryView StatusLast Update
0004558Slicer4Core: Building (CMake, Superbuild)public2018-10-22 18:35
ReporterphcerdanAssigned Tojcfr 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionSlicer 4.9.0Fixed in Version 
Summary0004558: ExternalDependency libarchive generates error in Debug mode with gcc8.1
Description

gcc8.1 finds a warning in libarchive, that in debug mode, turns into a build error, because libarchive set "-Werror" in Debug mode.

Reported upstream: https://github.com/libarchive/libarchive/issues/1020

A temporal workaround for Slicer is to compile libarchive always in Release mode.

In External_LibArchive.cmake

  list(APPEND EXTERNAL_PROJECT_OPTIONAL_CMAKE_CACHE_ARGS
    -DBUILD_TESTING:BOOL=OFF
    -DENABLE_OPENSSL:BOOL=OFF
    -DCMAKE_BUILD_TYPE:STRING=Release
    )
Steps To Reproduce

Compile Slicer in debug mode with gcc 8.1

TagsNo tags attached.

Relationships

related to 0004616 confirmedjcfr Build error with GCC 8.2.0 within libarchive 

Activities

jcfr

jcfr

2018-06-01 15:23

administrator   ~0015869

Last edited: 2018-06-01 15:25

View 2 revisions

Thanks for the report

Instead of "working around" the root problem setting the build type.

May you could create a PR as suggested in https://github.com/libarchive/libarchive/issues/1020#issuecomment-393743067

Then, I suggest to cherry pick the change on top of the current branch on Slicer fork. See https://github.com/Slicer/libarchive

We will update to use the latest version of LibArchive after the coming release.

phcerdan

phcerdan

2018-07-13 18:28

developer   ~0015914

Resolved in https://github.com/Slicer/Slicer/pull/971

phcerdan

phcerdan

2018-07-13 18:29

developer   ~0015915

Solved in https://github.com/Slicer/Slicer/pull/971

Issue History

Date Modified Username Field Change
2018-05-21 11:13 phcerdan New Issue
2018-05-21 11:13 phcerdan Status new => assigned
2018-05-21 11:13 phcerdan Assigned To => jcfr
2018-05-31 00:27 jcfr Target Version => Slicer 4.9.0
2018-06-01 15:23 jcfr Note Added: 0015869
2018-06-01 15:25 jcfr Note Edited: 0015869 View Revisions
2018-07-13 18:28 phcerdan Note Added: 0015914
2018-07-13 18:29 phcerdan Status assigned => resolved
2018-07-13 18:29 phcerdan Resolution open => fixed
2018-07-13 18:29 phcerdan Note Added: 0015915
2018-10-22 18:35 pieper Relationship added related to 0004616